com.ihr.xbrl.dts

## Class RowKey

- java.lang.Object
- - com.ihr.xbrl.dts.RowKey

-     public class RowKey
      extends java.lang.Object

  This is a key generated from information in a context. The information in the context can be chained so only a new context that contains the same elements than the parent context will pass the filter. For example: A context contains: Entity Segment DimA = ValueA A context that contains extra additional data like: Entity Segment DimA = ValueA DimB = ValueB Pass the filter. But a third context with: Entity Segment DimA = ValueB DimB = ValueB Does not pass the filter because DimA value is ValueB and not ValueA This is helpful identifying whether or not a new row needs to be created in the table of fact items in the presentation view.
  Author:
    Ignacio

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static RowKey` | `EMPTYROWKEY` The emptyrowkey.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RowKey(XBRLContext ctx)` Instantiates a new row key.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.util.ArrayList<Member<?>>` | `getMembersArrayList()` This method is used when a new fact is about to be created in the non dimensional instance explorer.
    `int` | `hashCode()`
    `boolean` | `passFilter(XBRLContext ctx)` Returns true if the new context passes the filter indicated by the RowKey parameter.

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EMPTYROWKEY

          public static RowKey EMPTYROWKEY

      The emptyrowkey.

  - ### Constructor Detail

    - #### RowKey

          public RowKey(XBRLContext ctx)

      Instantiates a new row key.
      Parameters:
        `ctx` - the ctx

  - ### Method Detail

    - #### passFilter

          public boolean passFilter(XBRLContext ctx)

      Returns true if the new context passes the filter indicated by the RowKey parameter.
      Parameters:
        `ctx` - the ctx
      Returns:
        true, if successful

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### getMembersArrayList

          public java.util.ArrayList<Member<?>> getMembersArrayList()
                                                             throws XBRLValidationException

      This method is used when a new fact is about to be created in the non dimensional instance explorer. If a RowKey exist for the row, then it is used to obtain dimensions from the segment and scenario that are part of this RowKey
      Returns:
        the members array list
      Throws:
        `XBRLValidationException` - the XBRL validation exception